<form name="editForm" role="form" novalidate (ngSubmit)="pushData()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="mySalesUnitRequirementLabel" jhiTranslate="mpmApp.salesUnitRequirement.home.createOrEditLabel">Create or edit a Sales Unit Requirement</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>

    <div class="modal-body">

        <p-dataTable
            [value]="salesUnitRequirements"
            [editable]="false"
            [rows]="itemsPerPage"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalItems"
            [responsive]="true"
            [lazy]="true"
            [(selection)]="selected" 
            dataKey="idRequirement"
            (onLazyLoad)="loadDataLazy($event)">
            <p-header>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="{{ 'mpmApp.salesUnitRequirement.home.search' | translate }}">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
            <p-column header="{{'mpmApp.salesUnitRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.salesUnitRequirement.tenor'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tenor | number}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.salesUnitRequirement.downPayment'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.downPayment | number}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.salesUnitRequirement.customer'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.customerId">
                        <a [routerLink]="['../customer', rowData.customerId  ]" >{{rowData.customerName}}</a>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.salesUnitRequirement.salesman'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.salesmanId">
                        <a [routerLink]="['../salesman', rowData.salesmanId  ]" >{{rowData.salesmanName}}</a>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.salesUnitRequirement.internal'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.internalId">
                        <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalName}}</a>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.salesUnitRequirement.saleType'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.saleTypeId">
                        <a [routerLink]="['../sale-type', rowData.saleTypeId  ]" >{{rowData.saleTypeDescription}}</a>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.salesUnitRequirement.billTo'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.billToId">
                        <a [routerLink]="['../bill-to', rowData.billToId  ]" >{{rowData.billToName}}</a>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.salesUnitRequirement.shipTo'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.shipToId">
                        <a [routerLink]="['../ship-to', rowData.shipToId  ]" >{{rowData.shipToName}}</a>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.salesUnitRequirement.broker'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.brokerId">
                        <a [routerLink]="['../sales-broker', rowData.brokerId  ]" >{{rowData.brokerName}}</a>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.salesUnitRequirement.color'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.colorId">
                        <a [routerLink]="['../feature', rowData.colorId  ]" >{{rowData.colorDescription}}</a>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.salesUnitRequirement.product'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.productId">
                        <a [routerLink]="['../motor', rowData.productId  ]" >{{rowData.productName}}</a>
                    </div>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.select' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>